Skip to main content
Announcements
See what Drew Clarke has to say about the Qlik Talend Cloud launch! READ THE BLOG
cancel
Showing results for 
Search instead for 
Did you mean: 
hbandari3636
Contributor III
Contributor III

Error Upgrading Qliksense from 3.1.2 to June 2018

Hello All,

I am upgrading my Qlik sense server from 3.1.2 to June 2018. The server on which I am installing is Windows Server 2008 R2. Since the upgrade requires moving from synchronized persistence to shared persistence I have created all the required shared folder in C drive and provided Qlik sense account which runs services both read and write access.But I run into the below Error.

Postgresql log:

Installation success or error status: 1603.

Actual Log

One or more of your shared persistence file share folders has not been configured correctly, or the service user does not have the appropriate access permissions.

I have verified that the service account running qlik services has read/write access to the shared folder but though I try to upgrade the server it returns back the same error.

Is it because of the version of the server I am using?

Appreciate your help in advance...

Thanks,

Hemantha.

Seeking view from experts regarding this issue.

gnoqliksupport28Qlik Sense Installation, Deployment & Management

mto , korsikov , gwassenaar, kaushik.solanki

rittermd , jog

9 Replies
rubenmarin

Hi, Microsoft Windows Server 2012 is the older O.S supported based on help page:

https://help.qlik.com/en-US/sense/June2018/Subsystems/PlanningQlikSenseDeployments/Content/Introduct...

But I can't be sure if your issues is only by this, from 3.1 version needs some steps, and has to pass to June2017 before upgrading to June2018, check the 'Upgrade notes' of the release notes or upgrade help:

https://help.qlik.com/en-US/sense/September2018/Subsystems/PlanningQlikSenseDeployments/Content/Sens...

hbandari3636
Contributor III
Contributor III
Author

Hi Ruben,

So this error might be related to the System requirements? but the error does not specify anything regarding the system requirements as I was able to proceed until the final steps of installation?

Thanks,

Hemantha.

rubenmarin

I was updating my previous answer

hbandari3636
Contributor III
Contributor III
Author

Hi Ruben,

https://help.qlik.com/en-US/sense/September2018/Subsystems/PlanningQlikSenseDeployments/Content/Sens...

This above steps should be followed for versions before 3.1 SR2 to June 2017 or later but my current version is 3.1 SR2.

And I have checked all the criteria for moving to a shared persistence and applied them but not sure where this is going wrong.

Thanks,

Hemantha.

rubenmarin

Before that there is a step "Upgrading from Qlik Sense 3.1 SR2 or later to Qlik Sense June 2017 or later".

https://help.qlik.com/en-US/sense/June2018/Subsystems/PlanningQlikSenseDeployments/Content/Deploymen...

I don't know what can be happening, but seems related with user permissions or shared persistence, wich is what that step configures. Make sure you have all neded folders and it's content:

https://help.qlik.com/en-US/sense/September2018/Subsystems/PlanningQlikSenseDeployments/Content/Sens...

hbandari3636
Contributor III
Contributor III
Author

Hi Ruben,

For

https://help.qlik.com/en-US/sense/June2018/Subsystems/PlanningQlikSenseDeployments/Content/Deploymen...

I have a service account which is running all the qliksense services which has administrative privileges on the server. Do I have to change this to Local or Domain? What is a Local or Domain mean in this situation?

I am trying to use the same account to install the upgrade and also given this particular service account access to the shared folder to read/write. Is that not sufficient?

rubenmarin

Hi, today I have upgrade a 3.2 server to september-2018 and, besides that I have manually upgrade the monitoring apps, everything works fine.

It already had shared persistence and the server has a supported O.S. I would double check folder names for shared persistence, and don't forget that Windows 2008 is not in the supported Operating Systems.

hbandari3636
Contributor III
Contributor III
Author

Hi Ruben,

Thanks for the insight I am in process to upgrade my server OS to 2012 so that it satisfies the system requirements but apart from that according to the point mentioned in the Installation manual:


"Before you upgrade, if your Qlik Sense 3.1 SR2 or later installation is running services using a Local System account, you need to change this to use a service user account (local or domain) before upgrading to Qlik Sense June 2017 or later. If you continue to use a Local System account to run the services when upgrading you will get an error."


In my case I am using a service account created by a support team to do the installation and changed the services to run on this particular amount and same service account is having the share access. is that not sufficient?


Do I have to create a Local/Domain user internal to Server not a general service account and get the Local/Domain User to run the services, get share access to shared folder and install the .exe file with the same user?

rubenmarin

I'm not sure how many ways can work, I usually use a dedicated domain user to run Sense services. This user has administrative rights in the computer where Sene is installed (member of local administrative group) and has read/write permission in shared folder.

I have also have upgraded some that used a local user, so that also works, at least few versions ago.